local L = AceLibrary("AceLocale-2.2"):new("Historian");

L:RegisterTranslations("enUS", function() return {
	-- Slash commands
	["Slash-Commands"] = { "/historian", "/stats" },

	["Report"] = true,
	["Writes statistics about your character to the chat."] = true,
	
	["Show tooltip on enemies"] = true,
	["Displays various statistics when your mouse is over known enemies."] = true,
     
	-- Status messages
	["Importing old data..."] = true,
	["Import complete."] = true,


	-- Chat report
	["----------- Historian Report -----------"] = true,
	["FORTUNE"] = true,
	["Money at peak: %s copper."] = true,
	["--"] = true,

	["ITEMS LOOTED"] = true,
	["Common: %s"] = true,
	["Uncommon: %s"] = true,
	["Rare: %s"] = true,
	["Epic: %s"] = true,
	["Legendary: %s"] = true,
	["Artifact: %s"] = true,

	["ACHIEVEMENTS"] = true,
	["Quests completed: %s"] = true,
	["Recipes learned: %s"] = true,
	["Areas discovered: %s"] = true,
	["Total mobs killed: %s"] = true,

	["DISAPPOINTMENTS"] = true,
	["Drowning: %s times (%s damage)"] = true,
	["Fatiqued: %s times (%s damage)"] = true,
	["Fallen down: %s times (%s damage)"] = true,
	["Burnt: %s times (%s damage)"] = true,
	["Tasted lava: %s times (%s damage)"] = true,
	["Bathed in slime: %s times (%s damage)"] = true,
	["Just plain dead:: %s times."] = true,

	["HABITS"] = true,
	["Most followed player: %s (%s times)"] = true,
	["Favorite prey: %s (%s killed)"] = true,
	["You have eaten %s times."] = true,
	["You have had a drink %s times."] = true,
	["Jumps: %s"] = true,

	["NOTE: You probably need to scroll up to see the entire report. Get FuBar to see this in a nice GUI :)"] = true,
	
	

	-- Misc
	["Food"] = true, -- NOTE: This MUST match the name of the aura you get when you eat something
	["Drink"] = true, -- NOTE: This MUST match the name of the aura you get when you drink something
	
	-- Tooltip
	["Killed 1 time."] = true,
	["Killed %s times."] = true,
} end)



local LFu = AceLibrary("AceLocale-2.2"):new("HistorianFu");

LFu:RegisterTranslations("enUS", function() return {
	-- Options
	["Show tooltip on enemies"] = true,
	["Displays certain statistics when your mouse is over known enemies."] = true,

	-- Tablet
	["Fortune"] = true,
	["Money at peak:"] = true,
	
	["Common:"] = true,
	["Uncommon:"] = true,
	["Rare:"] = true,
	["Epic:"] = true,
	["Legendary:"] = true,
	["Artifact:"] = true,
	
	["Achievements"] = true,
	["Quests completed:"] = true,
	["Recipes learned:"] = true,
	["Areas discovered:"] = true,
	["Total mobs killed:"] = true,
	
	["Disappointments"] = true,
	["Drowning:"] = true,
	["%s times (%s damage)"] = true,
	["%s times"] = true,
	
	["Habits"] = true,
	["Most followed player:"] = true,
	["%s (%s times)"] = true,
	["Favorite prey:"] = true,
	["%s (%s killed)"] = true,
	["Had a snack:"] = true,
	["Had a drink:"] = true,
	["%s times"] = true,
	["Jumps:"] = true,
} end)